#! /usr/bin/python
import sys, os, random

tot_points = 128

r_seed       = None
central_freq = None
decay_pow    = None
PNGFILE      = None

if len(sys.argv) < 5:
    print("usage: ./start <seed> <central_freq> <decay_pow> <png_output_file>")
    exit(-1)
else:
    try:
        r_seed       = float(sys.argv[1])
        central_freq = float(sys.argv[2])
        decay_pow    = float(sys.argv[3])
        PNGFILE      = sys.argv[4]
    except:
        print("<seed> <central_freq> <decay_pow> must be float values, <png_output_file> must be a string")
        exit(-1)

FFTFILE = 'data_freq_f.dat'
OUTFILE = 'data_d.dat'
POVFILE = 'surface.pov'

os.system('make veryclean')

random.seed(r_seed)
f  = open(OUTFILE , 'w')
for a in range(tot_points) :
    for b in range(tot_points) :
        f.write(str(a)+' '+str(b)+' '
                +str("%1.3f" % (random.random() - 0.5))+' '
                +str("%1.3f" % (random.random() - 0.5))+'\n')
        
f.close()

os.system('make Freq_Filter_FFT_2D.srl')
os.system('./Freq_Filter_FFT_2D.srl %s %s %s %s' % (OUTFILE, FFTFILE,  central_freq, decay_pow))
os.system('./Generate_Texture.py %s %s' % (FFTFILE, POVFILE))
#os.system('povray %s +O./%s' % (POVFILE, PNGFILE))

